Rapid7 Vulnerability & Exploit Database

SUSE Linux Security Vulnerability: CVE-2006-7230

Back to Search

SUSE Linux Security Vulnerability: CVE-2006-7230

Severity
4
CVSS
(AV:N/AC:M/Au:N/C:N/I:N/A:P)
Published
11/15/2007
Created
07/25/2018
Added
02/17/2015
Modified
07/04/2017

Description

Perl-Compatible Regular Expression (PCRE) library before 7.0 does not properly calculate the amount of memory needed for a compiled regular expression pattern when the (1) -x or (2) -i UTF-8 options change within the pattern, which allows context-dependent attackers to cause a denial of service (PCRE or glibc crash) via crafted regular expressions.

Solution(s)

  • suse-upgrade-apache-mod_php4
  • suse-upgrade-apache2-mod_php4
  • suse-upgrade-mod_php4-apache2
  • suse-upgrade-mod_php4-core
  • suse-upgrade-mod_php4-servlet
  • suse-upgrade-pcre
  • suse-upgrade-pcre-32bit
  • suse-upgrade-pcre-64bit
  • suse-upgrade-pcre-devel
  • suse-upgrade-pcre-x86
  • suse-upgrade-php4-bcmath
  • suse-upgrade-php4-bz2
  • suse-upgrade-php4-calendar
  • suse-upgrade-php4-ctype
  • suse-upgrade-php4-curl
  • suse-upgrade-php4-dba
  • suse-upgrade-php4-dbase
  • suse-upgrade-php4-devel
  • suse-upgrade-php4-domxml
  • suse-upgrade-php4-exif
  • suse-upgrade-php4-fastcgi
  • suse-upgrade-php4-filepro
  • suse-upgrade-php4-ftp
  • suse-upgrade-php4-gd
  • suse-upgrade-php4-gettext
  • suse-upgrade-php4-gmp
  • suse-upgrade-php4-iconv
  • suse-upgrade-php4-imap
  • suse-upgrade-php4-ldap
  • suse-upgrade-php4-mbstring
  • suse-upgrade-php4-mcal
  • suse-upgrade-php4-mcrypt
  • suse-upgrade-php4-mhash
  • suse-upgrade-php4-mime_magic
  • suse-upgrade-php4-mysql
  • suse-upgrade-php4-pear
  • suse-upgrade-php4-pgsql
  • suse-upgrade-php4-qtdom
  • suse-upgrade-php4-readline
  • suse-upgrade-php4-recode
  • suse-upgrade-php4-session
  • suse-upgrade-php4-shmop
  • suse-upgrade-php4-snmp
  • suse-upgrade-php4-sockets
  • suse-upgrade-php4-swf
  • suse-upgrade-php4-sysvsem
  • suse-upgrade-php4-sysvshm
  • suse-upgrade-php4-unixodbc
  • suse-upgrade-php4-wddx
  • suse-upgrade-php4-xslt
  • suse-upgrade-php4-yp
  • suse-upgrade-php4-zlib
  • suse-upgrade-suse-release

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;